SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (VoIP)  >   Asterisk Vendors:   Digium (Linux Support Services)
Asterisk SIP Packet Contact Header Processing Flaw Lets Remote Users Deny Service
SecurityTracker Alert ID:  1025707
SecurityTracker URL:  http://securitytracker.com/id/1025707
CVE Reference:   GENERIC-MAP-NOMATCH   (Links to External Site)
Date:  Jun 24 2011
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 1.8 prior to 1.8.4.3
Description:   A vulnerability was reported in Asterisk. A remote user can cause denial of service conditions.

A remote user can send a specially crafted SIP packet containing a Contact header with a missing left angle bracket (<) to cause Asterisk to access a null pointer and crash.

Paul Belanger reported this vulnerability.

Impact:   A remote user can cause Asterisk to crash.
Solution:   The vendor has issued a fix (1.8.4.3).

The vendor's advisory is available at:

http://downloads.asterisk.org/pub/security/AST-2011-009.html

Vendor URL:  downloads.asterisk.org/pub/security/AST-2011-009.html (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC